#!/bin/bash

export DJANGO_SETTINGS_MODULE="billetterie.dev_settings"
export PYTHONUNBUFFERED=1

# Vérifier que le CAS est lancé
if ! nc -z localhost 8001; then
  echo "Veuillez d'abord lancer le CAS."
  exit
fi

# Installer poetry si nécessaire
if ! command -v poetry >/dev/null 2>&1 ; then
    echo "Installation de poetry ..."
    curl -sSL https://raw.githubusercontent.com/python-poetry/poetry/master/get-poetry.py | python
    source "$HOME/.poetry/env"
fi

echo "Installation des dépendances python..."
poetry install --no-root

echo "Migration de la base de donnée..."
poetry run ./manage.py migrate

echo "Lancement du serveur Django..."
poetry run ./manage.py runserver
